@charset 'UTF-8';

/**
 * Изменение стилей родительской темы
 */

abbr[title],
abbr[data-bs-original-title] {
	text-decoration: none;

	color: red;
}

.text-nowrap {
	white-space: nowrap !important;
}

.cart-items-total-price {
	display: none;
}

.da-block .da-inner:hover {
	background-color: #f0f0f0;
}

.owl-item > .product.hover .hover-area,
.owl-item > .product:hover .hover-area,
.products > .product.hover .hover-area,
.products > .product:hover .hover-area {
	display: none !important;
}

#menu-top-bar-left > li:before {
	display: none;
}

#menu-top-bar-left > li:not(:last-child) {
	margin-right: .5em;
}

.footer-bottom-widgets-menu .sub-menu {
	padding-left: 2em;
}

.header-v1 .masthead {
	padding: 1rem 0;
}

.electro-navbar-inner .header-icon-counter,
.header-v1 .header-icon-counter,
.header-v2 .header-icon-counter,
.header-v3 .header-icon-counter,
.header-v4 .header-icon-counter,
.header-v5 .header-icon-counter,
.header-v6 .header-icon-counter,
.header-v7 .header-icon-counter,
.header-v8 .header-icon-counter,
.header-v9 .header-icon-counter,
.header-v10 .header-icon-counter,
.header-v11 .header-icon-counter,
.header-v12 .header-icon-counter,
.header-v13 .header-icon-counter {
	background: #694da1 !important;
}

.footer-call-us {
	margin-bottom: 1em;
}

.call-us-icon {
	display: none;
}

.woocommerce-mini-cart-item .quantity {
	display: none !important;
}

.woocommerce-mini-cart__buttons .checkout {
	display: none;
}

.copyright-bar {
	padding-top: 1rem;
	padding-bottom: 1rem;

	line-height: 1.35;
}

.secondary-nav > .menu-item > a:hover {
	text-decoration: underline;
}

.section-onsale-product .savings .savings-text {
	text-transform: uppercase;
}

.section-onsale-product .savings .percentage {
	display: none;
}

.owl-item .rentdevice-book-button {
	display: none;
}

.product-card .electro-price {
	display: none;
}

.product_list_widget .electro-price {
	display: none !important;
}

.product_list_widget img {
	object-fit: contain;
}

.woocommerce-LoopProduct-link,
.woocommerce-loop-product__title {
	color: inherit !important;
}

.widget_nav_menu a:hover {
	text-decoration: underline;
}

.product .product-thumbnail {
	position: relative;

	margin-bottom: 1.5rem !important;
	padding-top: 100%;
}

.product .product-thumbnail img {
	position: absolute;
	top: 0 !important;
	left: 0 !important;

	width: 100% !important;
	height: 100% !important;

	object-fit: contain;
}

.woocommerce-result-count {
	display: none;
}

.single-product .cart .quantity {
	width: 100%;
}

table.cart .input-text {
	border-radius: 9999px !important;
}

table.cart td.product-name {
	width: 100%;
}

table.cart .rent-date {
	width: 9em;
}

table.cart .actions {
	padding-top: 2rem;
}

.fancybox-can-pan .fancybox-content,
.fancybox-can-swipe .fancybox-content {
	cursor: default;
}

/**
 * Основные стили
 */

svg {
	display: block;

	width: 1em;
	height: 1em;

	transition: fill 250ms ease-in-out;

	fill: currentColor;
}

/**
 * Основная ссылка
 **/

.general-link {
	text-decoration: underline;

	color: #694da1;
}

.general-link:hover {
	text-decoration: none;

	color: #5e4590;
}

/**
 * Чекбокс
 */

.ui-checkbox {
	position: relative;

	display: inline-block;

	width: var(--rentdevice-input-size);
	height: var(--rentdevice-input-size);
	margin: 0;
	padding: 0;

	cursor: pointer;
	text-align: center;
	vertical-align: middle;

	border: 1px solid;
	border-radius: 0;
	outline: 0;

	line-height: 0;

	--rentdevice-input-size: 16px;
	appearance: none;
}

.ui-checkbox:before {
	position: absolute;
	top: 0 !important;
	left: 0 !important;

	width: 100% !important;
	height: 100% !important;

	content: '';
	transition: transform 250ms ease-in-out, opacity 250ms ease-in-out;
	transform: translateY(-50%);

	opacity: 0;
	background-image: url('../images/ui-checkbox.svg');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 60%;
}

.ui-checkbox:checked:before {
	transform: none;

	opacity: 1;
}

/**
 * Блок заданных пропорций
 */

/**
 * AJAX-загрузчик
 **/

@keyframes ajaxLoaderAnimation {
	0% {
		transform: scale3D(0, 0, 1);
	}

	50% {
		transform: scale3D(1, 1, 1);
	}
}

.ajax-loader {
	position: fixed;
	z-index: 99999;
	top: 50%;
	left: 50%;

	width: 60px;
	height: 60px;

	transform: translate(-50%, -50%) rotate(45deg);
}

.ajax-loader .cube {
	float: left;

	width: 33.333%;
	height: 33.333%;

	transform: scale3D(0, 0, 1);
	animation: ajaxLoaderAnimation 1.3s infinite ease-in-out;

	background-color: #694da1;
}

.ajax-loader .cube1 {
	animation-delay: .2s;
}

.ajax-loader .cube2 {
	animation-delay: .3s;
}

.ajax-loader .cube3 {
	animation-delay: .4s;
}

.ajax-loader .cube4 {
	animation-delay: .1s;
}

.ajax-loader .cube5 {
	animation-delay: .2s;
}

.ajax-loader .cube6 {
	animation-delay: .3s;
}

.ajax-loader .cube7 {
	animation-delay: .0s;
}

.ajax-loader .cube8 {
	animation-delay: .1s;
}

.ajax-loader .cube9 {
	animation-delay: .2s;
}

/**
 * Блок заданных пропорций
 */

.aspect-ratio {
	position: relative;
}

.aspect-ratio-1x1 {
	padding-top: 100%;
}

.aspect-ratio-1x2 {
	padding-top: 200%;
}

.aspect-ratio-1x3 {
	padding-top: 300%;
}

.aspect-ratio-2x1 {
	padding-top: 50%;
}

.aspect-ratio-2x3 {
	padding-top: 150%;
}

.aspect-ratio-3x1 {
	padding-top: 33.33333%;
}

.aspect-ratio-3x2 {
	padding-top: 66.66667%;
}

/**
 * Медиа-элементы (в первую очередь изображения)
 */

.media-object-responsive {
	display: block;

	width: 100%;
	height: auto;
}

.media-object-cover {
	position: absolute;
	top: 0 !important;
	left: 0 !important;

	width: 100% !important;
	height: 100% !important;

	object-fit: cover;
}

.media-object-contain {
	position: absolute;
	top: 0 !important;
	left: 0 !important;

	width: 100% !important;
	height: 100% !important;

	object-fit: contain;
}

.media-object-fit {
	width: auto;
	max-width: 100%;
	height: auto;
	max-height: 100%;
}

.media-object-center-fit {
	position: absolute;
	top: 50% !important;
	left: 50% !important;

	width: 100% !important;
	width: auto;
	max-width: 100%;
	height: auto;
	max-height: 100%;

	transform: translate(-50%, -50%);
}

/**
 * Всплывающее окно
 */

.modal-dialog {
	display: none;

	max-width: 540px;
	padding: 2rem;

	background: #fff;
}

.modal-dialog .result-message {
	text-align: center;

	font-size: 1.25rem;
	line-height: 1.333;
}

.modal-dialog .result-message:before {
	display: block;

	width: 96px;
	height: 96px;
	margin: 0 auto 1em;

	content: '';

	background-image: url('../images/icon-success.svg');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 100%;
}

.modal-dialog .result-message .title {
	font-size: 1.25em;
}

.modal-dialog .result-message .description {
	margin-top: .5em;
}

/**
 * Абстрактная OWL-карусель
 */

.owl-carousel.owl-abstract .owl-nav {
	display: block;
}

.owl-carousel.owl-abstract .owl-nav .owl-next,
.owl-carousel.owl-abstract .owl-nav .owl-prev {
	top: 50%;
}

.owl-carousel.owl-abstract .owl-nav i {
	font-size: 14px;
}

/**
 * Кнопка фирменного цвета
 */

.btn-rentdevice {
	color: #fff;
	border-color: #694da1;
	background-color: #694da1;
	box-shadow: 0 0 0 rgba(255, 255, 255, 0);
}

.btn-rentdevice:hover {
	color: #fff;
	border-color: #5e4590;
	background-color: #5e4590;
}

.btn-check:focus + .btn-rentdevice,
.btn-rentdevice:focus {
	color: #fff;
	border-color: #5e4590;
	background-color: #5e4590;
	box-shadow: 0 0 0 rgba(255, 255, 255, 0), 0 0 0 0 rgba(225, 83, 97, .5);
}

.btn-check:checked + .btn-rentdevice,
.btn-check:active + .btn-rentdevice,
.btn-rentdevice:active,
.btn-rentdevice.active,
.show > .btn-rentdevice.dropdown-toggle {
	color: #fff;
	border-color: #5e4590;
	background-color: #5e4590;
}

.btn-check:checked + .btn-rentdevice:focus,
.btn-check:active + .btn-rentdevice:focus,
.btn-rentdevice:active:focus,
.btn-rentdevice.active:focus,
.show > .btn-rentdevice.dropdown-toggle:focus {
	box-shadow: 0 0 0 rgba(255, 255, 255, 0), 0 0 0 0 rgba(225, 83, 97, .5);
}

.btn-rentdevice:disabled,
.btn-rentdevice.disabled {
	color: #fff;
	border-color: #694da1;
	background-color: #694da1;
}

/**
 * Ссылки на соц.сети и мессенджеры
 */

.social-links {
	display: -ms-inline-flexbox;
	display: inline-flex;

	--rentdevice-link-color: #6d6e71;
	--rentdevice-link-size: 30px;
	--rentdevice-link-gap: 10px;
	--rentdevice-icon-color: #fff;
	--rentdevice-icon-size: 14px;
	-ms-flex-align: center;
	align-items: center;
}

.social-links.is-white {
	--rentdevice-link-color: #fff;
	--rentdevice-icon-color: #000;
}

.social-links.is-size-lg {
	--rentdevice-link-size: 40px;
	--rentdevice-link-gap: 20px;
	--rentdevice-icon-size: 20px;
}

.social-links > .menu {
	display: -ms-flexbox;
	display: flex;

	margin: 0;
	padding: 0;

	list-style-type: none;

	-ms-flex-pack: center;
	justify-content: center;
}

.social-links > .menu > li {
	margin: 0;
	padding: 0;
}

.social-links > .menu > li > a {
	display: block;

	padding: calc( (var(--rentdevice-link-size) - var(--rentdevice-icon-size)) / 2);

	transition: color 250ms ease-in-out, background-color 250ms ease-in-out, border-color 250ms ease-in-out, transform 250ms ease-in-out;

	color: #fff;
	border-radius: 50%;
	background: #694da1;
}

.social-links > .menu > li .svg-icon {
	width: var(--rentdevice-icon-size);
	height: var(--rentdevice-icon-size);
}

.social-links > .menu > li + li {
	margin-left: var(--rentdevice-link-gap);
}

.social-links.has-delimiter:before {
	display: inline-block;

	margin: 0 1em;

	content: '|';

	color: #ddd;
}

/**
 * Остаток товара
 */

.product-quantity span {
	display: inline-block;

	padding: .5em 1em;

	color: #fff;
	border-radius: .25em;
	background: #198754;

	font-size: 14px;
	line-height: 1;
}

.product-item__header .product-quantity {
	margin-bottom: .75em;
}

/**
 * Фотомозаика
 */

.rentdevice-photomosaic {
	display: -ms-flexbox;
	display: flex;

	margin-right: -1px;
	margin-left: -1px;

	-ms-flex-wrap: wrap;
	    flex-wrap: wrap;
	-ms-flex-pack: center;
	justify-content: center;
}

.rentdevice-photomosaic__entry {
	width: 33.333%;
	margin-top: 1px;
	margin-bottom: 1px;
	padding-right: 1px;
	padding-left: 1px;
}

.rentdevice-photomosaic__link {
	display: block;
	overflow: hidden;

	background: #694da1;
}

.rentdevice-photomosaic__link:hover img {
	transform: scale(1.1);

	opacity: 1;
}

.rentdevice-photomosaic__image {
	transition: opacity 250ms ease-in-out, transform 250ms ease-in-out;

	opacity: .75;

	will-change: opacity, transform;
}

/**
 * Стандартный виджет "Меню навигации"
 */

.sidebar .widget_nav_menu > div {
	padding: .929em;

	border: 2px solid #ddd;
	border-radius: 6px;
}

.sidebar .widget_nav_menu ul {
	margin: 0;
	padding: 0;

	list-style: none;
}

.sidebar .widget_nav_menu .sub-menu {
	padding-left: 1em;
}

.sidebar .widget_nav_menu ul.menu > .menu-item:not(:first-child) {
	border-top: 1px solid #ddd;
}

.sidebar ul.menu .menu-item > a,
.sidebar ul.menu .menu-item > a:only-child {
	display: block;

	padding: .643em 1.071em;
}

.sidebar ul.menu .menu-item.current-menu-item > a,
.sidebar ul.menu .menu-item.current-product-parent > a {
	font-weight: 700;
}

/**
 * Элементы форм
 */

.wpcf7 p,
form.cart p,
form.rentdevice-form p {
	margin: 0;
}

.wpcf7 .form-field,
form.cart .form-field,
form.rentdevice-form .form-field {
	position: relative;

	margin-bottom: 2rem;
}

.wpcf7 .form-submit,
form.cart .form-submit,
form.rentdevice-form .form-submit {
	margin-top: 2rem;
}

.wpcf7 .form-title,
form.cart .form-title,
form.rentdevice-form .form-title {
	position: relative;

	margin-bottom: 1em;
	padding-bottom: .4em;

	border-bottom: 1px solid #ddd;
}

.wpcf7 .form-title:after,
form.cart .form-title:after,
form.rentdevice-form .form-title:after {
	position: absolute;
	bottom: -1px;

	display: block;

	width: 20%;

	content: ' ';

	border-bottom: 2px solid #000;
}

.wpcf7 .form-acceptance,
form.cart .form-acceptance,
form.rentdevice-form .form-acceptance {
	display: -ms-flexbox;
	display: flex;

	margin: 0;
}

.wpcf7 .form-acceptance > *,
form.cart .form-acceptance > *,
form.rentdevice-form .form-acceptance > * {
	    flex: 1 1 auto;

	-ms-flex: 1 1 auto;
}

.wpcf7 .form-acceptance > input,
form.cart .form-acceptance > input,
form.rentdevice-form .form-acceptance > input {
	    flex: 0 0 auto;

	margin-right: .75em;

	-ms-flex: 0 0 auto;
}

.wpcf7 .form-button,
form.cart .form-button,
form.rentdevice-form .form-button {
	padding: 1rem 2.0rem;

	color: #fff !important;
	border-color: #000 !important;
	border-radius: 9999px;
	background-color: #000 !important;

	font-size: 1.125rem;
}

.wpcf7-not-valid-tip,
.form-not-valid-tip {
	position: absolute;
	z-index: 6000;
	top: 100%;
	left: 0;

	padding: 0 6px;

	white-space: nowrap;

	color: #fff;
	background: #a40000;

	font-size: 14px;
	line-height: 24px;
}

.wpcf7-not-valid-tip:before,
.form-not-valid-tip:before {
	position: absolute;
	top: -10px;
	left: 10px;

	width: 0;
	height: 0;

	content: '';

	border: 5px solid transparent;
	border-bottom-color: #a40000;
}

.wpcf7-spinner {
	display: none;
}

.wpcf7-display-none {
	display: none;
}

.wpcf7 form .wpcf7-response-output {
	margin-top: 20px;
	padding: .75rem 1rem;

	color: var(--rentdevice-response-text-color, #fff);
	border: 1px solid var(--rentdevice-response-border-color, #694da1);
	border-radius: .25rem;
	background-color: var(--rentdevice-response-bg-color, #694da1);

	font-size: 12px;
}

.wpcf7 form.init .wpcf7-response-output,
.wpcf7-response-output:empty {
	display: none;
}

.wpcf7 form.sent .wpcf7-response-output {
	--rentdevice-response-text-color: #0f5132;
	--rentdevice-response-bg-color: #d1e7dd;
	--rentdevice-response-border-color: #badbcc;
}

#cart-checkout-form .wpcf7 form.sent .wpcf7-response-output {
	display: none !important;
}

.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output,
.wpcf7 form.spam .wpcf7-response-output {
	--rentdevice-response-text-color: #842029;
	--rentdevice-response-bg-color: #f8d7da;
	--rentdevice-response-border-color: #f5c2c7;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output {
	--rentdevice-response-text-color: #664d03;
	--rentdevice-response-bg-color: #fff3cd;
	--rentdevice-response-border-color: #ffecb5;
}

@media (min-width: 576px) {
	.media-object-sm-responsive {
		display: block;

		width: 100%;
		height: auto;
	}

	.media-object-sm-cover {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: cover;
	}

	.media-object-sm-contain {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: contain;
	}

	.media-object-sm-fit {
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;
	}

	.media-object-sm-center-fit {
		position: absolute;
		top: 50% !important;
		left: 50% !important;

		width: 100% !important;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;

		transform: translate(-50%, -50%);
	}
}

@media all and (min-width: 768px) {
	.product .product-inner {
		padding: 2.0rem 1.5rem !important;
	}

	.product .product-thumbnail {
		margin-bottom: 2.0rem !important;
	}

	table.cart .actions {
		padding-top: 2rem;
	}

	.ui-checkbox {
		--rentdevice-input-size: 20px;
	}

	.modal-dialog {
		padding: 3rem;
	}

	.rentdevice-photomosaic__entry {
		width: 25%;
	}
}

@media (min-width: 768px) {
	.media-object-md-responsive {
		display: block;

		width: 100%;
		height: auto;
	}

	.media-object-md-cover {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: cover;
	}

	.media-object-md-contain {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: contain;
	}

	.media-object-md-fit {
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;
	}

	.media-object-md-center-fit {
		position: absolute;
		top: 50% !important;
		left: 50% !important;

		width: 100% !important;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;

		transform: translate(-50%, -50%);
	}
}

@media all and (min-width: 992px) {
	table.cart .actions {
		padding-top: 3rem;
	}
}

@media (min-width: 992px) {
	.media-object-lg-responsive {
		display: block;

		width: 100%;
		height: auto;
	}

	.media-object-lg-cover {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: cover;
	}

	.media-object-lg-contain {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: contain;
	}

	.media-object-lg-fit {
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;
	}

	.media-object-lg-center-fit {
		position: absolute;
		top: 50% !important;
		left: 50% !important;

		width: 100% !important;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;

		transform: translate(-50%, -50%);
	}
}

@media all and (min-width: 1200px) {
	.product .product-inner {
		padding: 2.5rem 2.0rem !important;
	}

	.product .product-thumbnail {
		margin-bottom: 3.0rem !important;
	}

	table.cart .actions {
		padding-top: 3rem;
	}

	.modal-dialog {
		padding: 4rem;
	}

	.social-links.is-size-lg {
		--rentdevice-link-size: 60px;
		--rentdevice-link-gap: 20px;
		--rentdevice-icon-size: 30px;
	}

	.rentdevice-photomosaic__entry {
		width: 20%;
	}
}

@media all and (min-width: 1200px) and (min-width: 1200px) {
	body.page-template-rentdevice-cart .content-area,
	body.page-template-rentdevice-checkout .content-area {
		    flex: 0 0 auto;

		width: 100%;

		-ms-flex: 0 0 auto;
	}
}

@media (min-width: 1200px) {
	.media-object-xl-responsive {
		display: block;

		width: 100%;
		height: auto;
	}

	.media-object-xl-cover {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: cover;
	}

	.media-object-xl-contain {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: contain;
	}

	.media-object-xl-fit {
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;
	}

	.media-object-xl-center-fit {
		position: absolute;
		top: 50% !important;
		left: 50% !important;

		width: 100% !important;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;

		transform: translate(-50%, -50%);
	}
}

@media (min-width: 1440px) {
	.media-object-xxl-responsive {
		display: block;

		width: 100%;
		height: auto;
	}

	.media-object-xxl-cover {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: cover;
	}

	.media-object-xxl-contain {
		position: absolute;
		top: 0 !important;
		left: 0 !important;

		width: 100% !important;
		height: 100% !important;

		object-fit: contain;
	}

	.media-object-xxl-fit {
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;
	}

	.media-object-xxl-center-fit {
		position: absolute;
		top: 50% !important;
		left: 50% !important;

		width: 100% !important;
		width: auto;
		max-width: 100%;
		height: auto;
		max-height: 100%;

		transform: translate(-50%, -50%);
	}
}

@media (hover: hover) and (pointer: fine) {
	.social-links > .menu > li > a:hover {
		transform: scale(1.2);

		color: #fff;
		background-color: #5e4590;
	}
}
